GET /interaction/v1/interactions/{id}

Overview 

Retrieves a single journey by ID or key. To call this resource, assign your API Integration the Automation | Interactions | Read scope.

URL Parameters 

NameTypeDescription
idstringRequiredID of version 1 of the journey in the form of a GUID (UUID). Required if not using a key.
keystringRequiredThe key of the journey. Required if not using ID. Prefix the parameter with key:. For example, /interactions/key:{key}.
versionNumbernumberVersion number of the journey to retrieve. If not provided, the latest version is returned.
extrasstringA list of additional data to fetch. Available values are: all, activities, outcomes, and stats. Default is ”.

Usage 

Example Request

This request retrieves a single journey object for version 2 of the journey specified by the ID.

1Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
2GET /interaction/v1/interactions/{id}?versionNumber=2
3Content-Type: application/json
4Authorization: Bearer YOUR_ACCESS_TOKEN

Example Response

1HTTP/1.1 200
2{
3    "id": "00a0a000-9988-e111-9ef0-88aaa9dddaa0",
4    "key": "journey_key",
5    "name": "Welcome email series",
6    "description": "This welcome email journey contains an entry event, goal, activities, and tags",
7    "version": 2,
8    "workflowApiVersion": 1,
9    "createdDate": "2014-06-17T10:29:43.673",
10    "modifiedDate": "2014-06-17T11:53:22.477",
11    "triggers": [
12        {
13            "key": "first-activity",
14            "name": "First activity. The starting point.",
15            "type": "ContactDecision",
16            "eventDefinitionKey": "my-entry-event-key",
17            "arguments": {
18                "criteria": "<filterXML"
19            }
20        }
21    ],
22    "goals": [
23        {
24            "name": "My Goal",
25            "key": "goal-1",
26            "type": "ContactDecision",
27            "description": "This is my goal description.",
28            "arguments": {
29                "criteria": "<filterXML>"
30            }
31        }
32    ],
33    "activities": [
34        {
35            "id": "11b1b111-9988-e111-9ef0-88aaa9dddbb1",
36            "key": "send-welcome-email",
37            "name": "Welcome email",
38            "type": "Email",
39            "outcomes": [
40                {
41                    "key": "sent-welcome-email-then-random-split",
42                    "next": "random-split"
43                }
44            ],
45            "arguments": {
46                "emailToSend": "394911",
47                "emailAddress": ""
48            }
49        },
50        {
51            "id": "22c2c222-9988-e111-9ef0-88aaa9dddcc2",
52            "key": "random-split",
53            "name": "Random split",
54            "type": "RandomSplit",
55            "outcomes": [
56                {
57                    "key": "random-split-then-send-sms",
58                    "next": "send-sms",
59                    "arguments": {
60                        "percentage": 90
61                    }
62                },
63                {
64                    "key": "random-split-then-10-percent-end",
65                    "next": "send-sms2",
66                    "arguments": {
67                        "percentage": 10
68                    }
69                }
70            ]
71        }
72    ],
73    "tags": [
74        {"name": "Fun Run"},
75        {"name": "5K"}
76    ],
77    "status": "Draft",
78    "definitionId": "33d3d333-9988-e111-9ef0-88aaa9eeedd3"
79}

DID THIS ARTICLE SOLVE YOUR ISSUE?
Let us know so we can improve!